<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:10 AEST 2019 -->
<title>com.sk89q.worldedit.world.registry (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.world.registry (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/item/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit.world.registry</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BiomeRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BiomeRegistry</a></td>
<td class="colLast">
<div class="block">Provides information on biomes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockCategoryRegistry</a></td>
<td class="colLast">
<div class="block">A registry for BlockType categories.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html" title="interface in com.sk89q.worldedit.world.registry">BlockMaterial</a></td>
<td class="colLast">
<div class="block">Describes the material for a block.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a></td>
<td class="colLast">
<div class="block">Provides information on blocks and provides methods to create them.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">CategoryRegistry</a>&lt;T extends <a href="../../../../../com/sk89q/worldedit/registry/Keyed.html" title="interface in com.sk89q.worldedit.registry">Keyed</a>&gt;</td>
<td class="colLast">
<div class="block">A registry of categories.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/EntityRegistry.html" title="interface in com.sk89q.worldedit.world.registry">EntityRegistry</a></td>
<td class="colLast">
<div class="block">Provides information on entities.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/ItemCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemCategoryRegistry</a></td>
<td class="colLast">
<div class="block">A registry for ItemType categories.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/ItemRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemRegistry</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html" title="interface in com.sk89q.worldedit.world.registry">Registries</a></td>
<td class="colLast">
<div class="block">Contains getters for the various registries.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.html" title="class in com.sk89q.worldedit.world.registry">BundledBlockData</a></td>
<td class="colLast">
<div class="block">Provides block data based on the built-in block database that is bundled
 with WorldEdit.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.BlockEntry.html" title="class in com.sk89q.worldedit.world.registry">BundledBlockData.BlockEntry</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockRegistry.html" title="class in com.sk89q.worldedit.world.registry">BundledBlockRegistry</a></td>
<td class="colLast">
<div class="block">A block registry that uses <a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.html" title="class in com.sk89q.worldedit.world.registry"><code>BundledBlockData</code></a> to serve information
 about blocks.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemData.html" title="class in com.sk89q.worldedit.world.registry">BundledItemData</a></td>
<td class="colLast">
<div class="block">Provides item data based on the built-in item database that is bundled
 with WorldEdit.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemData.ItemEntry.html" title="class in com.sk89q.worldedit.world.registry">BundledItemData.ItemEntry</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemRegistry.html" title="class in com.sk89q.worldedit.world.registry">BundledItemRegistry</a></td>
<td class="colLast">
<div class="block">A item registry that uses <a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemRegistry.html" title="class in com.sk89q.worldedit.world.registry"><code>BundledItemRegistry</code></a> to serve information
 about items.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledRegistries.html" title="class in com.sk89q.worldedit.world.registry">BundledRegistries</a></td>
<td class="colLast">
<div class="block">An implementation of <a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html" title="interface in com.sk89q.worldedit.world.registry"><code>Registries</code></a> that converts legacy numeric IDs and
 a contains a built-in block and item database.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/LegacyMapper.html" title="class in com.sk89q.worldedit.world.registry">LegacyMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/NullBiomeRegistry.html" title="class in com.sk89q.worldedit.world.registry">NullBiomeRegistry</a></td>
<td class="colLast">
<div class="block">A biome registry that knows nothing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/NullBlockCategoryRegistry.html" title="class in com.sk89q.worldedit.world.registry">NullBlockCategoryRegistry</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/NullEntityRegistry.html" title="class in com.sk89q.worldedit.world.registry">NullEntityRegistry</a></td>
<td class="colLast">
<div class="block">An implementation of an entity registry that knows nothing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/NullItemCategoryRegistry.html" title="class in com.sk89q.worldedit.world.registry">NullItemCategoryRegistry</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/world/registry/PassthroughBlockMaterial.html" title="class in com.sk89q.worldedit.world.registry">PassthroughBlockMaterial</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/item/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
